<html>
<head>
<title>OGRE: Ogre::ConstVectorIterator&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a></div>
<h1>Ogre::ConstVectorIterator&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="Ogre::ConstVectorIterator" -->Wraps iteration over a const vector.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ConstVectorIterator-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef T::value_type&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#33cc575cb9c5bf759e00220ea1f04437">ValueType</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#18674cefb0a388b65b3b2c77fc841b36">ConstVectorIterator</a> (typename T::const_iterator start, typename T::const_iterator end)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#18674cefb0a388b65b3b2c77fc841b36"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#261f81ccce80c89491f50a7d18ff1ef3">ConstVectorIterator</a> (const T &amp;c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#261f81ccce80c89491f50a7d18ff1ef3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#14ae36c17125a357bcec702cb4d13973">hasMoreElements</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if there are more items in the collection.  <a href="#14ae36c17125a357bcec702cb4d13973"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T::value_type&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#63f587420270ccc4537c5d8371025e24">getNext</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the next element in the collection, and advances to the next.  <a href="#63f587420270ccc4537c5d8371025e24"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T::value_type&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#49abb09be8b6dae24c71788bb16e1d79">peekNext</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the next element in the collection, without advancing to the next.  <a href="#49abb09be8b6dae24c71788bb16e1d79"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T::const_pointer&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#419cf94b50b03763b737a073bd6a761f">peekNextPtr</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the next element in the collection, without advancing to the next afterwards.  <a href="#419cf94b50b03763b737a073bd6a761f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#2298651fb715585b7b3dc542a5bf5c3e">moveNext</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Moves the iterator on one element.  <a href="#2298651fb715585b7b3dc542a5bf5c3e"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#e4ae5fee5fff6ae67a7d656220f2df9d">ConstVectorIterator</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Private constructor since only the parameterised constructor should be used.  <a href="#e4ae5fee5fff6ae67a7d656220f2df9d"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T::const_iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#f12e0feed9422e844e8c248607d30637">mCurrent</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T::const_iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConstVectorIterator.html#6d61305bc220566d6fd3ada2fb8b8b9b">mEnd</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;class T&gt;<br>
 class Ogre::ConstVectorIterator&lt; T &gt;</h3>

Wraps iteration over a const vector. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class is here just to allow clients to iterate over an internal vector of a class without having to have access to the vector itself (typically to iterate you need both the iterator and the end() iterator to test for the end condition, which is messy). No updates are allowed through this interface, it is purely for iterating and reading. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Note that like STL iterators, these iterators are only valid whilst no updates are made to the underlying collection. You should not attempt to use this iterator if a change is made to the collection. In fact, treat this iterator as a transient object, do NOT store it and try to use it repeatedly. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00212">212</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="33cc575cb9c5bf759e00220ea1f04437"></a><!-- doxytag: member="Ogre::ConstVectorIterator::ValueType" ref="33cc575cb9c5bf759e00220ea1f04437" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T::value_type <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ConstVectorIterator.html#33cc575cb9c5bf759e00220ea1f04437">ValueType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00218">218</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e4ae5fee5fff6ae67a7d656220f2df9d"></a><!-- doxytag: member="Ogre::ConstVectorIterator::ConstVectorIterator" ref="e4ae5fee5fff6ae67a7d656220f2df9d" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Private constructor since only the parameterised constructor should be used. 
<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00218">218</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="18674cefb0a388b65b3b2c77fc841b36"></a><!-- doxytag: member="Ogre::ConstVectorIterator::ConstVectorIterator" ref="18674cefb0a388b65b3b2c77fc841b36" args="(typename T::const_iterator start, typename T::const_iterator end)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>           </td>
          <td>(</td>
          <td class="paramtype">typename T::const_iterator&nbsp;</td>
          <td class="paramname"> <em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">typename T::const_iterator&nbsp;</td>
          <td class="paramname"> <em>end</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Provide a start and end iterator to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00226">226</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="261f81ccce80c89491f50a7d18ff1ef3"></a><!-- doxytag: member="Ogre::ConstVectorIterator::ConstVectorIterator" ref="261f81ccce80c89491f50a7d18ff1ef3" args="(const T &amp;c)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>           </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Provide a container to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00235">235</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="14ae36c17125a357bcec702cb4d13973"></a><!-- doxytag: member="Ogre::ConstVectorIterator::hasMoreElements" ref="14ae36c17125a357bcec702cb4d13973" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::hasMoreElements           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if there are more items in the collection. 
<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00241">241</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrappers_8h-source.html#l00215">Ogre::ConstVectorIterator&lt; T &gt;::mCurrent</a>, and <a class="el" href="OgreIteratorWrappers_8h-source.html#l00216">Ogre::ConstVectorIterator&lt; T &gt;::mEnd</a>.</p>

</div>
</div><p>
<a class="anchor" name="63f587420270ccc4537c5d8371025e24"></a><!-- doxytag: member="Ogre::ConstVectorIterator::getNext" ref="63f587420270ccc4537c5d8371025e24" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T::value_type <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::getNext           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the next element in the collection, and advances to the next. 
<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00247">247</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrappers_8h-source.html#l00215">Ogre::ConstVectorIterator&lt; T &gt;::mCurrent</a>.</p>

</div>
</div><p>
<a class="anchor" name="49abb09be8b6dae24c71788bb16e1d79"></a><!-- doxytag: member="Ogre::ConstVectorIterator::peekNext" ref="49abb09be8b6dae24c71788bb16e1d79" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T::value_type <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::peekNext           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the next element in the collection, without advancing to the next. 
<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00252">252</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrappers_8h-source.html#l00215">Ogre::ConstVectorIterator&lt; T &gt;::mCurrent</a>.</p>

</div>
</div><p>
<a class="anchor" name="419cf94b50b03763b737a073bd6a761f"></a><!-- doxytag: member="Ogre::ConstVectorIterator::peekNextPtr" ref="419cf94b50b03763b737a073bd6a761f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T::const_pointer <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::peekNextPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a pointer to the next element in the collection, without advancing to the next afterwards. 
<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00257">257</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2298651fb715585b7b3dc542a5bf5c3e"></a><!-- doxytag: member="Ogre::ConstVectorIterator::moveNext" ref="2298651fb715585b7b3dc542a5bf5c3e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::moveNext           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Moves the iterator on one element. 
<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00262">262</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrappers_8h-source.html#l00215">Ogre::ConstVectorIterator&lt; T &gt;::mCurrent</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f12e0feed9422e844e8c248607d30637"></a><!-- doxytag: member="Ogre::ConstVectorIterator::mCurrent" ref="f12e0feed9422e844e8c248607d30637" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T::const_iterator <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ConstVectorIterator.html#f12e0feed9422e844e8c248607d30637">mCurrent</a><code> [mutable, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00215">215</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrappers_8h-source.html#l00247">Ogre::ConstVectorIterator&lt; T &gt;::getNext()</a>, <a class="el" href="OgreIteratorWrappers_8h-source.html#l00241">Ogre::ConstVectorIterator&lt; T &gt;::hasMoreElements()</a>, <a class="el" href="OgreIteratorWrappers_8h-source.html#l00262">Ogre::ConstVectorIterator&lt; T &gt;::moveNext()</a>, and <a class="el" href="OgreIteratorWrappers_8h-source.html#l00252">Ogre::ConstVectorIterator&lt; T &gt;::peekNext()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d61305bc220566d6fd3ada2fb8b8b9b"></a><!-- doxytag: member="Ogre::ConstVectorIterator::mEnd" ref="6d61305bc220566d6fd3ada2fb8b8b9b" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T::const_iterator <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::ConstVectorIterator</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ConstVectorIterator.html#6d61305bc220566d6fd3ada2fb8b8b9b">mEnd</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreIteratorWrappers_8h-source.html#l00216">216</a> of file <a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrappers_8h-source.html#l00241">Ogre::ConstVectorIterator&lt; T &gt;::hasMoreElements()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:12 2008
</p>
</body>
</html>
